Package Details: python2-pyalsaaudio 0.9.0-1

Git Clone URL: https://aur.archlinux.org/python-pyalsaaudio.git (read-only, click to copy)
Package Base: python-pyalsaaudio
Description: ALSA wrappers for Python 3
Upstream URL: http://larsimmisch.github.io/pyalsaaudio/
Licenses: custom: PSF
Submitter: speps
Maintainer: rkcf
Last Packager: rkcf
Votes: 215
Popularity: 0.147349
First Submitted: 2013-07-10 17:31 (UTC)
Last Updated: 2020-11-09 19:24 (UTC)

Latest Comments

ruuda commented on 2020-08-04 20:23 (UTC)

I can confirm that it builds fine on armv7h with --ignorearch, can it be added to the supported architectures?

carstene1ns commented on 2016-03-20 18:42 (UTC)

@bjo: This builds a C extension, so 'any' architecture is wrong. I have read somewhere that arm users build using `makepkg --ignorearch` (or -A), is that not true anymore? If so, I can add the additional ones.

bjo commented on 2016-03-20 13:42 (UTC)

Please change arch to 'any' so it can be used on armv6h and armv7h.

carstene1ns commented on 2015-07-09 23:06 (UTC)

Package adopted and fixed.

chegney commented on 2015-06-03 15:35 (UTC)

Source download links and PKGBUILD are incorrect.

krvkir commented on 2015-05-31 18:11 (UTC)

The link from PKGBUILD file does not point to the source archive anymore.

esh commented on 2014-07-27 18:21 (UTC)

Please add 'armv6h' to the arch=() array. It works fine on the Raspberry Pi.

kentarch commented on 2013-07-10 22:50 (UTC)

Thank you, speps, for the python 2 library.

speps commented on 2013-07-10 17:33 (UTC)

Now python-pyalsaudio provide the python 3.x version of the library. Please update your package dependencies accordingly. Thanks to all for reporting and sorry for the late.

speps commented on 2013-07-10 17:32 (UTC)

Now python-pyalsaudio provide the python 3.x version of the library. For the python 2.x version look for python2-pyalsaaudio on AUR. Please update your package dependencies accordingly.

commented on 2013-05-14 19:10 (UTC)

This package is ok with python3 I modified PKGBUILD accordingly, feel free to adopt. http://pastebin.com/NJ46v1Qy

whynothugo commented on 2012-10-22 23:16 (UTC)

Package should be renamed to python2-pyalsaaudio.

nickoe commented on 2011-06-22 11:26 (UTC)

Should it just work by installing this package? When i test in python console: >>> import alsaaudio Traceback (most recent call last): File "<stdin>", line 1, in <module> ImportError: No module named alsaudio

speps commented on 2010-10-21 04:10 (UTC)

@pizzapunk Hi, this package needs to be adapted to the great python rebuild. Here is a working PKGBUILD --> http://aur.pastebin.com/WrDvWjY1 ( python2 + depends + license fixes ) Feel free to adopt C ya

cdemoulins commented on 2010-10-19 12:04 (UTC)

Need a fix to work with last version of python. -- depends=('python>=2.6' 'alsa-lib') ++ depends=('python2>=2.6' 'alsa-lib') -- python setup.py install --root=$pkgdir ++ python2 setup.py install --root=$pkgdir